#!/bin/sh

# My termux setup script

pkg upgrade

pkg install openssh neovim zsh starship termux-api git coreutils nodejs clang fzf fd tree p7zip

[ ! -d "$HOME/.config" ] && mkdir -p "$HOME/.config"

[ ! -d "$HOME/.config/nvim" ] && git clone https://gitlab.com/cronyakatsuki/nvim-conf.git $HOME/.config/nvim

[ ! -d "$HOME/repos" ] && mkdir -p "$HOME/repos"

[ ! -d "$HOME/repos/ia-downloader" ] && git clone https://gitlab.com/cronyakatsuki/ia-downloader.git $HOME/repos/ia-downloader

[ ! -d "$HOME/.local/bin" ] && mkdir -p "$HOME/.local/bin"

[ ! -f "$HOME/.local/bin/ia-downloader" ] && ln -s $HOME/repos/ia-downloader/ia-downloader $HOME/.local/bin/ia-downloader

chsh -s zsh
